#ifndef TMHistogrammingListNode_H
#define TMHistogrammingListNode_H

#include "TMHistogramming.h"

class TMHistogrammingListNode {
 public:
  TMHistogrammingListNode(TMHistogramming *hist, UInt_t id, UInt_t plotNr);
  virtual ~TMHistogrammingListNode();
  
  TMHistogramming* GetHistogrammingObj() {return fHist;}
  UInt_t GetId() {return fId;}
  UInt_t GetPlotNr() {return fPlotNr;}

  void SetHistogrammingObj(TMHistogramming* hist) {fHist=hist;}
  void SetId(UInt_t id) {fId=id;}
  void SetPlotNr(UInt_t plotnr) {fPlotNr=plotnr;}
  

 private:
  TMHistogramming* fHist;
  UInt_t fId;
  UInt_t fPlotNr;

};

#endif
